Skip to navigation

Get nodepool minimal data by ID

View as Markdown

Retrieve essential data for a specific node pool by ID required for common operations (e.g., workload submission)

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

nodepoolIdstringRequired
The unique id identifying the Node Pool.

Response

ok
idstringRead-only
The NodePool id
namestring>=1 character
clusterIdstringformat: "uuid"
The id of the cluster.
phaseenumOptional
Phase of Node Pool
gpuNetworkAccelerationDetectedbooleanOptional
Signals to all relevant parties about GPUNetworkAcceleration being detected in some nodepool's nodes

Errors

400
Bad Request Error
404
Not Found Error
503
Service Unavailable Error